Ticket #4357 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

2.14でトピックの編集条件がPCと携帯で違う

Reported by: imamura623 Assigned to: imamura623
Priority: minor Milestone: OpenPNE2.14.6
Component: pne-ktai Version: 2.14.x
Keywords: Cc:

Description (Last modified by imamura623)

■現象

管理者以外のメンバーがトピックを作成し、その後トピック作成権限を「管理者のみ」に変更した際、PCでは編集ができなくなるが、携帯では編集可能で機能に差異がある。

■原因

トピック編集条件にトピック作成権限に関する条件が含まれていなかったため

■修正内容

携帯の挙動をPCと同様にトピック作成権限を「管理者のみ」の時編集不可になるように修正

■関連情報

  • #4338:コミュニティのトピックがコミュニティ管理者でも消せない
  • #4358:2.12でトピックの編集条件がPCと携帯で違う

2.12でも同様の不具合が発生していますが、2.12と2.14では作成権限等の機能的に差異のある部分なのでチケットを分けました。

Change History

11/02/09 19:34:43 changed by imamura623

  • description changed.

01/14/10 15:40:54 changed by imamura623

  • component changed from 指定しない to pne-ktai.
  • milestone set to OpenPNE2.14.4.

01/19/10 18:57:04 changed by imamura623

  • milestone deleted.

03/02/10 17:16:10 changed by imamura623

  • milestone set to OpenPNE2.14.5.

03/09/10 18:49:55 changed by kiwa

  • milestone changed from OpenPNE2.14.5 to OpenPNE2.14.6.

見送ります

05/17/10 12:18:08 changed by imamura623

  • owner changed from nobody to imamura623.

05/17/10 20:07:17 changed by imamura623

  • keywords set to 確認中.

修正しました。

  • r13519 でtrunkにコミット
  • r13518 でstable-2.14.xにコミット

05/17/10 20:21:23 changed by imamura623

r13521 で不要な空白を削除

05/18/10 19:19:15 changed by yamashita

  • status changed from new to closed.
  • resolution set to fixed.

テスト完了しました。 問題なしです。

05/18/10 19:29:22 changed by yamashita

  • status changed from closed to reopened.
  • resolution deleted.

05/19/10 12:33:45 changed by urabe

  • keywords deleted.
  • status changed from reopened to closed.
  • resolution set to fixed.

確認しました。

05/19/10 15:26:45 changed by imamura623

  • description changed.